import { IEvent } from './interface/event';
export declare namespace Decorator {
    namespace Event {
        function worker(eventClass: {
            new (...args): IEvent<any>;
        } | string): (target: any, propertyKey: string, descriptor: PropertyDescriptor) => void;
        function fanout(eventClass: {
            new (...args): IEvent<any>;
        } | string): (target: any, propertyKey: string, descriptor: PropertyDescriptor) => void;
    }
    namespace Endpoint {
        function rpc(context?: any): (target: any, propertyKey: string, descriptor: PropertyDescriptor) => void;
        function graph(context?: any): (target: any, propertyKey: string, descriptor: PropertyDescriptor) => void;
        function rest(route: any, context?: any): (target: any, propertyKey: string, descriptor: PropertyDescriptor) => void;
    }
    function requireLevel(level: number): (target: any, propertyKey: string, descriptor: PropertyDescriptor) => void;
}
