import { StarError } from '../error';
import AbstractFatalError = StarError.AbstractFatalError;
export declare namespace ErrorCode {
    enum Logic {
        RPC_TIMEOUT = 1,
    }
    enum FATAL {
        MISSING_CONSUL_TOKEN = 1,
        NOT_INIT_REST_ENDPOINT = 2,
        UNREGISTERED_EVENT_KEY = 3,
    }
}
export declare class LogicError extends AbstractFatalError {
    constructor(code: ErrorCode.Logic, debugInfo?: any);
}
export declare class FatalError extends AbstractFatalError {
    constructor(code: ErrorCode.FATAL, debugInfo?: any);
}
