import 'reflect-metadata';
import { Singleton } from './util/singleton';
import * as inversify from 'inversify';
export declare namespace Di {
    function inject(target: Object, propertyKey: string | symbol, parameterIndex: number): void;
    function bindClass(target: any): void;
    function bindSingleton(target: (new () => Singleton.SingletonClass)): void;
    function bindConstant(key: any, value: any): void;
    const container: inversify.Container;
}
