"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
require("source-map-support/register");
exports.mongoose = require("mongoose");
exports.mongoose.Promise = require('bluebird');
var metadata_1 = require("./interface/metadata");
exports.Metadata = metadata_1.Metadata;
var singleton_1 = require("./util/singleton");
exports.Singleton = singleton_1.Singleton;
var error_1 = require("./error");
exports.StarError = error_1.StarError;
var decorator_1 = require("./decorator");
exports.Decorator = decorator_1.Decorator;
var mongo_dust_1 = require("./dust/mongo.dust");
exports.MongoDust = mongo_dust_1.MongoDust;
var message_dust_1 = require("./dust/message.dust");
exports.MessageDust = message_dust_1.MessageDust;
var star_1 = require("./star");
exports.Star = star_1.Star;
var di_1 = require("./di");
exports.Di = di_1.Di;
var logger_1 = require("./util/logger");
exports.logger = logger_1.logger;
//# sourceMappingURL=index.js.map