export declare type Method = 'GET' | 'POST' | 'PUT' | 'DEL';
export declare namespace Metadata {
    const Key: {
        Rest: string;
        Rpc: string;
        Graph: string;
        TypeDef: string;
        WorkerEvent: string;
        FanoutEvent: string;
    };
    const Keys: string[];
    interface Rest {
        method: string;
        uri: string;
        funcName: string;
        context: any;
    }
    interface Graph {
        funcName: string;
        context: any;
    }
    interface Rpc {
        funcName: string;
        context: any;
    }
    interface Event {
        key: string;
        funcName: string;
    }
    interface RestContext {
        route: string;
        context?: any;
    }
}
