"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var Singleton;
(function (Singleton) {
    class SingletonFactory {
        static get(C) {
            const name = (C.prototype.constructor).name;
            let instance = Singleton.container[name];
            if (!instance) {
                Singleton.container[name] = instance = new C();
                instance.initialize();
                return instance;
            }
            return instance;
        }
    }
    Singleton.SingletonFactory = SingletonFactory;
    Singleton.container = {};
})(Singleton = exports.Singleton || (exports.Singleton = {}));
//# sourceMappingURL=singleton.js.map